[package]
name = "hclient"
version = "0.1.0"
edition = "2024"

[dependencies]
cryptic = { workspace = true, optional = true }
rustls = { workspace = true, optional = true }

url.workspace = true
http.workspace = true
log.workspace = true
thiserror.workspace = true

[features]
default = ["https"]
https = ["dep:cryptic", "dep:rustls"]

[lints]
workspace = true
